'This EXAMPLE.BAT is an example batch file of how Overkill is set up for
'tournament mode on a Remote Access BBS system.

:MAINLOOP
cd\fd
fd                                       'Front Door
If Errorlevel 200 Goto INCOMING          'Check for Incoming Mail
If Errorlevel 195 Goto OUTGOING          'Check for Outgoing Mail
If Errorlevel 190 Goto Clean             'Clean up BBS msgs/users
If Errorlevel 175 Goto OOIIMaint         'Tournament Maintenance
If Errorlevel 173 Goto CheckUnShip       'Double check for Tournament Files
If Errorlevel 120 Goto Local             'Load BBS in local mode
If Errorlevel 119 Goto BBS2400           'Load BBS at 2400 bps
If Errorlevel  10 Goto Quit              'Quit FrontDoor
goto MAINLOOP


:SHIP_OO                                'Pack and Ship Tournament File
cd\ooiitour
del \fd\file\temp\ncvscbc.zip
pkzip \fd\file\temp\ncvscbc.zip *.oo fame.dat top10.a* frontier.a*
del *.oo
del fame.dat
rename yes.doc temp.doc                'Swap the flag file
cd\ra                                  'Optional; switch out batch files
rename tourney.bat ooiihold.bat        'to load up another Overkill game
rename alphahol.bat ooiidoor.bat       'while Tourney game is away
cd\ra\txtfiles
copy ooiiout.ans ooiimenu.ans          'Optional; switch out menu screens to
copy ooiiout.asc ooiimenu.asc          'to display whether Tourney is in/out
cd\fd
xrdos send /Fc:\fd\file\temp\ncvscbc.zip /R1:393/4 /TSEND.TXT
cd\fd
goto MAINLOOP


:UNSHIP_OO                             'Unpack Incoming Tournament File
cd\fd\file
pkunzip -o ncvscbc.zip \ooiitour
copy ncvscbc.zip \fd\file\backup       'Backup Tournament File just in case
del ncvscbc.zip
cd\ooiitour
rename temp.doc yes.doc                'Rename flag files, required
copy top10.a* \ra\txtfiles
copy frontier.a* \ra\txtfiles
cd\ra
rename ooiihold.bat tourney.bat        'Optional; switch back batch files
rename ooiidoor.bat alphahold.bat      'from practice game to Tourney game
cd\ra\txtfiles
copy ooiiin.ans ooiimenu.ans           'Optional; switch back menus to show
copy ooiiin.asc ooiimenu.asc           'that the Tourney game is back
cd\fd
goto MAINLOOP


:CHECKUNSHIP                           'Check for Incoming Tourney File
if exist \fd\file\ncvscbc.zip goto UNSHIP_OO
cd\fd
goto MAINLOOP


:OOIIMAINT                             'Initial check for Incoming or
cd\ooiitour                            'Outgoing Tournament Files
if exist yes.doc goto SHIP_OO
if exist \fd\file\ncvscbc.zip goto UNSHIP_OO
cd\fd
goto MAINLOOP



:Local                                 'Load BBS in local mode
cd\ra
ra -l
goto outgoing

:BBS2400                               'Load BBS at 2400 bps
cd\ra
ra -b2400 -e0
goto outgoing


:INCOMING                               'Check for Incoming mail for BBS
cd\ra\imail
imail toss /n
cd\fd
goto MAINLOOP

:OUTGOING                                'Check for Outgoing mail from BBS
cd\ra\imail
imail scan
cd\fd
goto MAINLOOP

:CLEAN                                  'Midnight Maintenance for BBS
cd\ra
mbutil purge -days 10
mbutil pack -renumber
rauser -s -p -d120
cd\fd\file
del *.tic
cd\fd
goto MAINLOOP



:quit
cls
